QGIS Application - Bug report #2270
issues with "add ring" and "add part" tools (in shapefiles)
2009-12-11 12:17 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Vectors

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 12330
Description

tested on qgis trunk under linux.
a) open a polygon shape, choose a polygon and add a ring with the proper tool. Toggle editing to save changes. The ring is not more a
ring, it become a "part". In fact, if you want to remove the just created ring/part, you need to use the "delete part" tool instead of the "delete

ring" tool.

b) Select a polygon and try add a "part" that overlaps the selected polygon, you'll get the message "New polygon ring not disjoint with
existing polygons" and the "part" in not added, but the "island added" action always appear in the "Undo/Redo" stack.

c) For sake of consistency the "island added/delete" text in the undo/redo stack should become "part added/deleted”

d) After all it seems that "parts" that do overlap with the main polygon can exist (see http:/gis-lab.info/share/10m-urban-area.zip and the
above bug), so, considered that qgis does not allow create such geometry, we should always consider these layers as incorrect? After all

(for example) the "urban area" layer returns many errors when its geometry is checked.

It doesn't seems to happen with postgis or spatialite, just shapes, BUT, if you create a ring in a postgis/SL polygon, then you save it as
shapefile and then add it to the canvas, instead of the ring you'll see a part.

Associated revisions

Revision bff8f330 - 2009-12-11 11:17 PM - Jiirgen Fischer

fix #2270

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12414 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 90093e1a - 2009-12-11 11:17 PM - Jiirgen Fischer

fix #2270

git-svn-id: http://svn.osgeo.org/qgis/trunk@12414 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-12-11 02:18 PM - Juirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed
http://gis-lab.info/share/10m-urban-area.zip
http://svn.osgeo.org/qgis/trunk/qgis@12414
http://svn.osgeo.org/qgis/trunk@12414

fixed in commit:90093e1a (SVN r12415).

#2 - 2009-12-12 02:42 AM - Giovanni Manghi

Hi Jurgen,

thanks for the fix.

You want me to file a different ticket for b) and c¢) ?
